# HOBBIT-ACKINFO.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbit-ackinfo.cgi - Xymon CGI script to acknowledge alerts

## SYNOPSIS

hobbit-ackinfo.cgi

## DESCRIPTION

hobbit-ackinfo.cgi is invoked as a CGI script via the hobbit-ackinfo.sh CGI wrapper.

hobbit-ackinfo.cgi is used to acknowledge an alert on the Xymon "Critical Systems" view, generated by the hobbit-nkview.cgi(1) utility. This allows the staff viewing the Critical Systems view to acknowledge alerts with a "Level 1" alert, thereby removing the alert from the Critical Systems view.

Note that the Level 1 alert generated by the hobbit-ackinfo.cgi utility does NOT stop alerts from being sent.

In a future version of Xymon (after Xymon 4.2), this utility will also be used for acknowledging alerts at other levels.

## OPTIONS

--level=NUMBER
  Sets the acknowledgment level. This is typically used to force a specific level of the acknowledgment, e.g. a level 1 acknowledge when called from the Critical Systems view.

--validity=TIME
  Sets the validity of the acknowledgment. By default this is taken from the CGI parameters supplied by the user.

--sender=STRING
  Logs STRING as the sender of the acknowledgment. By default, this is taken from the loginname of the webuser sending the acknowledgment.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
  Enables debugging output.

## ENVIRONMENT VARIABLES

BBHOME
  Used to locate the template files for the generated web pages.

QUERY_STRING
  Contains the parameters for the CGI script.

## SEE ALSO

hobbit-nkview.cgi(1), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ENVIRONMENT VARIABLES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008